
#ifndef __LIB_SNGTC_NODE_UTILS_H__
#define __LIB_SNGTC_NODE_UTILS_H__


#define MAX_SNGTC_SESSIONS 1024

typedef struct sngtc_rtp_session
{
	uint32_t init;
	uint32_t index;
	uint32_t server_rtp_index;
	uint32_t server_mod_index;
	struct sngtc_codec_request codec_req;
	struct sngtc_codec_reply codec_reply;
}sngtc_rtp_session_t;


typedef struct iana_to_profile
{
	int init;
	unsigned int codec_id;
	unsigned int iana_code;
}iana_to_profile_t;

extern sngtc_rtp_session_t sngtc_rtp_session_table[];

extern sngtc_init_cfg_t g_init;

int sngtc_verify_init_cfg(sngtc_init_cfg_t *cfg);
int sngtc_set_iana_code_based_on_codec_id(uint32_t codec_id, uint32_t iana);


#endif

